Please merge dput 0.9.6.1(main) from debian unstable(main)

Bug #606153 reported by Bhavani Shankar on 2010-07-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dput (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: dput

 dput (0.9.6.1) unstable; urgency=low

   * Use hashlib instead of md5/sha modules for Python 2.6 (Closes: #517831)
   * Update Standards-Version to 3.9.0 (no changes required)

 -- Y Giridhar Appaji Nag <email address hidden> Thu, 08 Jul 2010 14:15:52 +0530
dput (0.9.6) unstable; urgency=low

   * Correct bash completion for --delayed
   * Use %s to print HTTP response reason string (not a number)
   * Compute md5sums to fix lintian I: no-md5sums-control-file, thanks
     Loïc Minier <email address hidden> (Closes: #564783)
   * Mark self.closed = 1 to prevent messing up of display with setting
     progress_indicator=2, thanks Kan-Ru Chen <email address hidden> for
     the patch (Closes: #488316)
   * Add allow_cut = 1 to security-master-* (Closes: #574506)
   * Fix handling of version for multi-digit epochs (Closes: #577825)
   * Update Standards-Version to 3.8.4 (no changes required)
   * Switch to dpkg-source 3.0 (native) format
   * Don't warn about a DELAYED/0-day upload, just print (Closes: #553198)

 -- Y Giridhar Appaji Nag <email address hidden> Fri, 21 May 2010 12:15:54 +0530

Related branches

Bhavani Shankar (bhavi) wrote :
Changed in dput (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dput - 0.9.6.1ubuntu1

---------------
dput (0.9.6.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #606153). Remaining changes:
    - debian/control: Added suggests on bzr (as we use the bzrlib.transport)
    - debian/rules: Updated to install sftp.py
    - sftp.py: Support for uploads via sftp transport
    - dput.cf:
      + set 'default_main_host = ubuntu'
      + set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling (LP: #327239)
    - dput.cf.5: Updated to note support for sftp transport and host args
    - dput.1: Updated to document host argument feature and sftp support.
    - Don't incorrectly assume that HTTPResonse.reason is an integer when
      generating an error message (LP: #380940)
  * Dropped change:
    - Compute md5 sums (merged in debian)

dput (0.9.6.1) unstable; urgency=low

  * Use hashlib instead of md5/sha modules for Python 2.6 (Closes: #517831)
  * Update Standards-Version to 3.9.0 (no changes required)

dput (0.9.6) unstable; urgency=low

  * Correct bash completion for --delayed
  * Use %s to print HTTP response reason string (not a number)
  * Compute md5sums to fix lintian I: no-md5sums-control-file, thanks
    Loïc Minier <email address hidden> (Closes: #564783)
  * Mark self.closed = 1 to prevent messing up of display with setting
    progress_indicator=2, thanks Kan-Ru Chen <email address hidden> for
    the patch (Closes: #488316)
  * Add allow_cut = 1 to security-master-* (Closes: #574506)
  * Fix handling of version for multi-digit epochs (Closes: #577825)
  * Update Standards-Version to 3.8.4 (no changes required)
  * Switch to dpkg-source 3.0 (native) format
  * Don't warn about a DELAYED/0-day upload, just print (Closes: #553198)
 -- Bhavani Shankar <email address hidden> Fri, 16 Jul 2010 12:25:57 +0530

Changed in dput (Ubuntu):
status: Confirmed → Fix Released
tags: added: patch
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers